Subject: Re: bug#9087: Crash reading from minibuffer with icomplete-mode

From: Juanma Barranquero <[email-masked]>
Date: Fri, 15 Jul 2011 14:15:42 +0200

On Fri, Jul 15, 2011 at 14:11, Juanma Barranquero <[email-masked]> wrote:

> #7  0x0114eb0c in re_match_2_internal (bufp=0x1637588, string1=0x0, size1=0,
>    string2=0x4e1d190
> "-outline-Gabriola-normal-normal-normal-decorative-*-*-*-*-p-*-iso8859-7",
> size2=71, pos=0, regs=0x1638de8, stop=71)
>    at regex.c:6280
> #8  0x01144622 in re_search_2 (bufp=0x1637588, str1=0x0, size1=0,
>    str2=0x4e1d190
> "-outline-Gabriola-normal-normal-normal-decorative-*-*-*-*-p-*-iso8859-7",
> size2=71, startpos=0, range=0, regs=0x1638de8,
>    stop=71) at regex.c:4514
> #9  0x01143525 in re_search (bufp=0x1637588, string=0x4e1d190
> "-outline-Gabriola-normal-normal-normal-decorative-*-*-*-*-p-*-iso8859-7",
> size=71,
>    startpos=0, range=71, regs=0x1638de8) at regex.c:4295

Interesting, because at that moment the minibuffer read

  Set font attributes of face `font-lock-comment-face' from font:
-outline-Droid sans[-]bold-normal-normal-mono-*-*-*-*-c-*-iso10646-1
(No matches)

where [-] is the cursor over a dash.

    Juanma